// Console variable script

// pikamusic: Whether or not to use custom music for Pikachu
// 0: Off/None - SRB2's vanilla music will always play
// 1: Jingles - Jingles such as the level clear theme will use Pikachu's music, but not boss themes or powerup themes
// 2: All/On - Some music from Pokémon Black & White will be used when playing as Pikachu
CV_RegisterVar({
	name = "pikamusic",
	PossibleValue = {
		Off = 0,
		None = 0,
		Jingles = 1,
		All = 2,
		On = 2
	},
	defaultvalue = "On",
	flags = CV_SHOWMODIF
})

// pikavoices: Whether or not Pikachu will play voice clips
// 0: Off - Pikachu will not play voice lines
// 1: On - Pikachu will play voice lines
CV_RegisterVar({
	name = "pikavoices",
	PossibleValue = CV_OnOff,
	defaultvalue = "On",
	flags = CV_SHOWMODIF
})

// pikareduceparticles: Whether or not to use reduced particles for Pikachu's moves
// 0: Off - Pikachu's moves will use reduced particles
// 1: On - Pikachu's moves will use the standard amount of particles
CV_RegisterVar({
	name = "pikareduceparticles",
	PossibleValue = CV_OnOff,
	defaultvalue = "Off",
	flags = CV_SHOWMODIF
})